SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   Blackboard Vendors:   Blackboard
Blackboard Input Validation Holes in 'addressbook.pl', 'tasks.pl', and 'calendar.pl' Permit Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1009733
SecurityTracker URL:  http://securitytracker.com/id/1009733
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Apr 12 2004
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  
Version(s): 6.0
Description:   Several input validation vulnerabilities were reported in Blackboard. A remote user can conduct cross-site scripting attacks.

OSVDB (http://osvdb.org/) reported that several components of Blackboard do not properly filter HTML code from user-supplied input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the Blackboard software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

According to the report, the 'course' and 'name' fields of 'addressbook.pl' are affected. The 'render_type' variable in 'tasks.pl' is also reported to be affected, as are several variables in the 'calendar.pl' script.

Some demonstration exploit URLs are provided:

http://[victim]/bin/common/addressbook.pl?action=ADD&nav=my_addressbook&course='%3E%3Cscript%3Ealert('Vulnerable')%3C/script%3E

http://[victim]/bin/common/tasks.pl?action=c&display=T.subject&filter=--!!all&course_id=&render_type='%3E%3Cscript%3Ealert('Vulnerable')%3C/

http://[victim]/bin/common/calendar.pl?course_name=%22%3E%3Cscript%3Ealert('Vulnerable')%3C/script%3E

http://[victim]/bin/common/calendar.pl?courseID=%22%3E%3Cscript%3Ealert('Vulnerable')%3C/script%3E

http://[victim]/bin/common/calendar.pl?subroutine=%22%3E%3Cscript%3Ealert('Vulnerable')%3C/script%3E

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the Blackboard software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.blackboard.com/products/ps/index.htm (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Red Hat Linux), UNIX (Solaris - SunOS), Windows (NT), Windows (2000)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC